Subject: Re: [HACKERS] Release cycle length

From: Michael Glaesemann <[email-masked]>
Date: Tue, 18 Nov 2003 21:30:06 +0900

On Tuesday, November 18, 2003, at 05:13 PM, Andreas Grabmüller wrote:

> ----- Original-Nachricht -----
> Von: "Marc G. Fournier" <[email-masked]>
> An: Neil Conway <[email-masked]>
> CC: [email-masked], PostgreSQL Development 
> <[email-masked]>
> Datum: Tuesday, November 18, 2003 05:06 AM
> Betreff: [pgsql-www] [HACKERS] Release cycle length
>
>> On Mon, 17 Nov 2003, Neil Conway wrote:
>>
>>> That said, I'm not really sure how we can make better use of the beta
>>> period. One obvious improvement would be making the beta 
>>> announcements
>>> more visible: the obscurity of the beta process on www.postgresql.org
>>> for 7.4 was pretty ridiculous. Does anyone else have a suggestion on
>>> what we can do to produce a more reliable .0 release in less time?
>>
>> Agreed ... here's a thought ...
>>
>> take the download page and break it into two pages:
>>
>> page 1: broken down into "dev" vs "stable" versions, including the 
>> date of
>> release ...
>>
>> page 2: when you click on the version you want to download, it brings 
>> you
>> to a subpage that is what the main page currently is (with all the 
>> flags
>> and such) but instead of just sending ppl to the ftp site itself, 
>> actually
>> have the link go to the directory that contains that version on the 
>> mirror
>> site ...
>>
>> that first page of the download could contain descriptoins of the 
>> variosu
>> releases, and state of releases?
>>
>> ---------------------------(end of 
>> broadcast)---------------------------
>> TIP 4: Don't 'kill -9' the postmaster
>
> We could also use some download page similar to the one on 
> httpd.apache.org - first you select a mirror (and one near you has 
> been preselected) and under it you get a list of possible downloads... 
> might be easier for the users than browsing through FTP...

 From a users' standpoint, do you think the users are looking for a 
mirror or for software? Maybe put the download first, then a selection 
of mirrors. I haven't done a lot of downloading, so my perspective 
might be a little off. And advantage of the mirror > download order 
would be if people are downloading more than one item at a time. Then 
they wouldn't have to go back to choose another download. However, once 
they choose the mirror (and commence the download) a page could come up 
offering the option to download more from this mirror.

Just some thoughts.
Michael